diff lib-src/config.values.sh @ 412:697ef44129c6 r21-2-14

Import from CVS: tag r21-2-14
author cvs
date Mon, 13 Aug 2007 11:20:41 +0200
parents 74fd4e045ea6
children
line wrap: on
line diff
--- a/lib-src/config.values.sh	Mon Aug 13 11:19:22 2007 +0200
+++ b/lib-src/config.values.sh	Mon Aug 13 11:20:41 2007 +0200
@@ -1,7 +1,4 @@
-: #-*- Perl -*-
-eval 'exec perl -w -S $0 ${1+"$@"}' # Portability kludge
-    if 0;
-
+#! /bin/sh
 # config.values.sh --- create config.values.in from ../configure
 
 # Author:	Martin Buchholz
@@ -38,29 +35,19 @@
 ## by an XEmacs Maintainer (consider yourself so blessed, if you are
 ## actually reading this commentary).
 ##
-
-if (! -r "./configure") {
-  chdir ".." or die "Can't chdir: $!";
-  if (! -r "./configure") {
-    die "Can't find configure!";
-  }
-}
+if test ! -r ./configure; then
+  cd ..
+  if test ! -r ./configure; then
+    echo "Can't find configure!";
+    exit 1;
+  fi
+fi
 
-sub FileContents {
-  local $/ = undef; # Slurp mode
-  open (FILE, "< $_[0]") or die "$_[0]: $!";
-  my $contents = <FILE>;
-  close FILE or die "$_[0]: $!";
-  return $contents;
-}
-
-my $configure_contents = FileContents "./configure";
-my $cvi_contents = FileContents "lib-src/config.values.in";
-
-my $new_cvi_contents =
-";;; Do not edit this file!
+exec < ./configure > "lib-src/config.values.in"
+cat <<\EOF
+;;; Do not edit this file!
 ;;; This file was automatically generated, by the config.values.sh script,
-;;; from configure, which was itself automatically generated from configure.in.
+;;; from configure, which was itself automatically generated from configure.in
 ;;;
 ;;; See lisp/util/config.el for details on how this file is used.
 ;;;
@@ -75,27 +62,15 @@
 ;;; Variables defined in configure by AC_SUBST follow:
 ;;; (These are used in Makefiles)
 
-";
+EOF
+sed -n '/^s%@\([A-Za-z_][A-Za-z_]*\)@%\$\1%g$/ {
+  s/^s%@\([A-Za-z_][A-Za-z_]*\)@%\$\1%g$/\1 "@\1@"/
+  p
+}' | \
+sort -u
+cat <<\EOF
 
-my %done;
-for my $var (sort { $a cmp $b }
-	     $configure_contents =~
-	     /^s\%\@([A-Za-z0-9_]+)\@\%\$[A-Za-z0-9_]+\%g/mg) {
-  $new_cvi_contents .= "$var \"\@$var\@\"\n" unless exists $done{$var};
-  $done{$var} = 1;
-}
-
-$new_cvi_contents .= "
 ;;; Variables defined in configure by AC_DEFINE and AC_DEFINE_UNQUOTED follow:
 ;;; (These are used in C code)
 
-";
-
-if ($cvi_contents ne $new_cvi_contents) {
-  unlink "lib-src/config.values.in";
-  open (CVI, "> lib-src/config.values.in")
-    or die "lib-src/config.values.in: $!";
-  print CVI $new_cvi_contents;
-  close CVI
-    or die "lib-src/config.values.in: $!";
-}
+EOF